Bug 219902 - databases/sqlite3 Update: Release 3.19.3 On 2017-06-08
Summary: databases/sqlite3 Update: Release 3.19.3 On 2017-06-08
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-10 08:32 UTC by Pavel Volkov
Modified: 2017-06-10 17:31 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.14 KB, patch)
2017-06-10 08:32 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
poudriere log (31.47 KB, text/plain)
2017-06-10 08:33 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2017-06-10 08:32:48 UTC
Created attachment 183374 [details]
patch

Fix a bug associated with auto_vacuum that can lead to database corruption.
The bug was introduced in version 3.16.0 (2017-01-02).
Comment 1 Pavel Volkov 2017-06-10 08:33:51 UTC
Created attachment 183375 [details]
poudriere log
Comment 2 commit-hook freebsd_committer 2017-06-10 17:30:38 UTC
A commit references this bug:

Author: ultima
Date: Sat Jun 10 17:29:58 UTC 2017
New revision: 443102
URL: https://svnweb.freebsd.org/changeset/ports/443102

Log:
  * Updated to 3.19.3

   - Fix a bug associated with auto_vacuum that can lead to database corruption

  PR:	219902
  Submitted by:	pavelivolkov@gmail.com (maintainer)
  Reviewed by:	lifanov (mentor), matthew (mentor)
  Approved by:	pavelivolkov@gmail.com (maintainer), lifanov (mentor), matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11132

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 3 Richard Gallamore freebsd_committer 2017-06-10 17:31:39 UTC
Committed thanks!